<mat-toolbar class="toolbar">
    <mat-toolbar-row>
        <button *ngIf="!sidenav" mat-button (click)="sidenav = true">
            <mat-icon>menu</mat-icon>
            Menú
        </button>
        <span class="toolbar__spacer"></span>
        <button mat-button (click)="openShoppingCart()">
            <mat-icon>shopping_cart</mat-icon>
            Mi Pedido
        </button>
    </mat-toolbar-row>
</mat-toolbar>
<mat-drawer-container class="example-container">
    <mat-drawer class="sidenav" mode="side" [opened]="sidenav">
        <button class="sidenav__button" mat-button (click)="sidenav = false">
            <mat-icon>close</mat-icon>
            Cerrar 
        </button>
        <div>
            <qrcode [qrdata]="qr_code_url" [width]="256" [errorCorrectionLevel]="'M'"></qrcode>
            <h3 style="color: #f49d6e;">Entra a esta tienda desde tu celular</h3>
        </div>
        <h2>{{commerce_name.split("-").join(" ")}}</h2>
        <mat-list *ngIf="commerce_info">
            <div mat-subheader>Contamos con</div>
            <mat-list-item>
              <mat-icon mat-list-icon>local_shipping</mat-icon>
              <div *ngIf="commerce_info.delivery_service" mat-line>
                  Servicio a domicilio
              </div>
            </mat-list-item>
            <mat-divider></mat-divider>
            <div mat-subheader>Contáctanos por</div>
            <mat-list-item>
              <mat-icon mat-list-icon>phone</mat-icon>
              <div mat-line>{{commerce_info.phone}}</div>
            </mat-list-item>
        </mat-list>
    </mat-drawer>
    <mat-drawer-content class="mainnav">
        <div class="container">
            <div *ngIf="!sidenav" style="display: flex;">
                <img class="container__arrow" src="assets/images/arrow.svg" alt="">
                <h3  class="container__instructions">
                    Click aquí y ve contactos/opciones del comercio
                </h3>
            </div>
            <button (click)="location.back()" mat-button class="container__button">
                <mat-icon>keyboard_arrow_left</mat-icon>
                Regresar
            </button>
            <div *ngIf="commerce_info" class="container__title">
                <img class="container__title_logo" [src]="commerce_info.logo" alt="">
            </div>
            <h3 class="instructions">Agrega productos de la tienda y añade la cantidad en "Mi pedido"</h3>
            <div ngFor="let component of components">
                <ng-template componentLoader></ng-template>
            </div>
        </div>
    </mat-drawer-content>
</mat-drawer-container>
